lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'match/json/schema/version'

Gem::Specification.new do |spec|
  spec.name          = 'match-json-schema'
  spec.version       = Match::Json::Schema::VERSION
  spec.authors       = ['taki']
  spec.email         = ['taki@users.noreply.github.com']

  spec.summary       = 'match-json-schema compliant with JSON Schema Draft 4.'
  spec.description   = spec.summary
  spec.homepage      = 'https://github.com/taki/match-json-schema'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'json-schema'
  spec.add_dependency 'pry-byebug'
  spec.add_dependency 'rspec', '~> 3.8'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
end
